package st.wow.git.ble;

import java.lang.Runnable;
import android.util.Log;
import java.lang.Class;
import java.lang.ClassLoader;
import java.lang.reflect.Constructor;
import android.os.Handler;
import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothManager;
import android.content.Context;
import android.content.Intent;

public class BleUtil {
	public void Enable(Context ctx) {
		Log.d("gio", "BleUtil Enable: manager");
		BluetoothManager manager = (BluetoothManager) ctx.getSystemService(ctx.BLUETOOTH_SERVICE);
		Log.d("gio", "BleUtil Enable: adapter");
		BluetoothAdapter ad = (BluetoothAdapter) manager.getAdapter();
		if (ad == null || !ad.isEnabled()) {
			Log.d("gio", "BleUtil Enable: handler");
			Handler handler = new Handler(ctx.getMainLooper());
			//BleEnabler en = new BleEnabler(ctx, ad);
			Log.d("gio", "BleUtil Enable: Intent");
			Intent enableBtIntent = new Intent(ad.ACTION_REQUEST_ENABLE);
			Log.d("gio", "BleUtil Enable: handler.post");
			handler.post(new Runnable() {
				public void run() {
					ctx.startActivity(enableBtIntent);
				}
			});
		}
	}
}

